textures/icycube/interstellar
{
    qer_editorimage env/interstellar/interstellar_ft.tga
    surfaceparm noimpact
    surfaceparm nolightmap
    q3map_globaltexture
    q3map_lightrgb .8 1.0 .9
    q3map_skylight 150 3
    surfaceparm sky
    q3map_sunext .9 1.0 .9 170 342 60 2 16
    skyparms env/interstellar/interstellar - -
}

textures/icycube/ice
{
    qer_editorImage textures/icycube/ice.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/icycube/ice.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
    }
textures/icycube/icefloor
{
    qer_editorImage textures/icycube/icefloor.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/icycube/icefloor.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}
textures/icycube/snow
{
    qer_editorImage textures/icycube/snow.tga
    surfaceparm nodamage
    {
        map textures/icycube/snow.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icycube/barrier
{
    qer_editorImage textures/icycube/barrier.tga
    surfaceparm detail
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/icycube/barrier.tga
        blendFunc filter
    }
}

textures/icycube/barrier_sl
{
    qer_editorImage textures/icycube/barrier_sl.tga
    surfaceparm detail
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/icycube/barrier_sl.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_icycube/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icycube/darkfloor
{
    q3map_lightImage textures/icycube/darkfloor.jpg
    qer_editorImage textures/icycube/darkfloor.jpg
    surfaceparm nodamage
    {
        map textures/icycube/darkfloor.jpg
    }
    {
        map $lightmap
        blendFunc filter
    }
}
textures/icycube/darkfloor_s
{
    q3map_lightImage textures/icycube/darkfloor.jpg
    qer_editorImage textures/icycube/editor/darkfloor_s.jpg
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/icycube/darkfloor.jpg
    }
    {
        map $lightmap
        blendFunc filter
    }
}
textures/icycube/rust_2
{
    q3map_lightImage textures/icycube/rust_2.jpg
    qer_editorImage textures/icycube/rust_2.jpg
    surfaceparm nodamage
    {
        map textures/icycube/rust_2.jpg
    }
    {
        map $lightmap
        blendFunc filter
    }
}
textures/icycube/glass_clear
{
    q3map_lightImage textures/_icycube/glass_radiosity.tga
    qer_editorImage textures/icycube/qer_clear.tga
    qer_trans 0.5
    q3map_bounceScale 0.33
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    {
        map textures/_icycube/q3a_glass_clear.tga
        blendFunc add
        tcGen environment
    }
}
textures/icycube/rainbow_tex
{	
	qer_editorImage textures/icycube/rainbow/b_rainbow1.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	cull none

	{
		animMap 10 textures/icycube/rainbow/b_rainbow1.tga 			textures/icycube/rainbow/b_rainbow2.tga 					textures/icycube/rainbow/b_rainbow3.tga 					textures/icycube/rainbow/b_rainbow4.tga 					textures/icycube/rainbow/b_rainbow5.tga 					textures/icycube/rainbow/b_rainbow6.tga 					textures/icycube/rainbow/b_rainbow7.tga 					textures/icycube/rainbow/b_rainbow8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
		tcMod rotate 1
	}	
	{
		animMap 10 textures/icycube/rainbow/b_rainbow2.tga 			textures/icycube/rainbow/b_rainbow3.tga 					textures/icycube/rainbow/b_rainbow4.tga 					textures/icycube/rainbow/b_rainbow5.tga 					textures/icycube/rainbow/b_rainbow6.tga 					textures/icycube/rainbow/b_rainbow7.tga 					textures/icycube/rainbow/b_rainbow8.tga 					textures/icycube/rainbow/b_rainbow1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
		tcMod rotate 1
	}	


	{
		map textures/icycube/rainbow/b_rainbowball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
		tcMod rotate1
	}

}

textures/icycube/water
{
	qer_editorimage textures/icycube/ice.tga
                qer_trans .5
                surfaceparm trans
                surfaceparm nonsolid
                surfaceparm water
                tessSize 256
                cull disable
                deformVertexes wave 256 sin 0.5 1.75 .5 .5

                {
                        map textures/icycube/water4_sfx.tga
                        blendfunc add
                        rgbgen identity
                        tcmod scale .5 .5
                        tcmod transform 1.5 0 1.5 1 1 2
                        tcmod scroll -.05 .001
                }
                {
                        map textures/icycube/water4_sfx.tga
                        blendfunc add
                        rgbgen identity
                        tcmod scale .5 .5
                        tcmod transform 0 1.5 1 1.5 2 1
                        tcmod scroll .025 -.001
                }
                {
                        map textures/icycube/water4_bfx.tga
                        blendfunc filter
                        rgbgen identity
                        tcmod scale .25 .5
                        tcmod scroll .001 .025
                }
                {
                        map $lightmap
                        blendFunc GL_dst_color GL_zero
                        rgbgen identity
                }
}





